%global npm_name lcid

Summary:       Mapping between Standard and Windows locale identifiers
Name:          nodejs-%{npm_name}
Version:       1.0.0
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/sindresorhus/lcid
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Mapping between standard locale identifiers and 
Windows locale identifiers (LCID)

Based on the mapping used in the Python standard library.

The mapping itself is just a JSON file and can be used wherever.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr index.js lcid.json package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc license readme.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 1.0.0-1
- Initial package
